Bulk import contacts
curl --request POST \
--url https://api.orbit.devotel.io/api/v1/contacts/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"phone": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company": "<string>",
"job_title": "<string>",
"country_code": "<string>",
"timezone": "<string>",
"language": "<string>",
"tags": [
"<string>"
],
"attributes": {},
"lifecycle_stage": "<string>",
"lead_status": "<string>",
"contact_owner": "<string>"
}
],
"raw_rows": [
{}
],
"client_skipped": [
{
"row_index": 1,
"raw": {},
"reason": "<string>"
}
],
"base_row_index": 1
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/contacts/bulk"
payload = {
"contacts": [
{
"phone": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"display_name": "<string>",
"company": "<string>",
"job_title": "<string>",
"country_code": "<string>",
"timezone": "<string>",
"language": "<string>",
"tags": ["<string>"],
"attributes": {},
"lifecycle_stage": "<string>",
"lead_status": "<string>",
"contact_owner": "<string>"
}
],
"raw_rows": [{}],
"client_skipped": [
{
"row_index": 1,
"raw": {},
"reason": "<string>"
}
],
"base_row_index": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
phone: '<string>',
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
display_name: '<string>',
company: '<string>',
job_title: '<string>',
country_code: '<string>',
timezone: '<string>',
language: '<string>',
tags: ['<string>'],
attributes: {},
lifecycle_stage: '<string>',
lead_status: '<string>',
contact_owner: '<string>'
}
],
raw_rows: [{}],
client_skipped: [{row_index: 1, raw: {}, reason: '<string>'}],
base_row_index: 1
})
};
fetch('https://api.orbit.devotel.io/api/v1/contacts/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"inserted": 123,
"updated": 123,
"skipped": 123,
"import_job_id": "<string>",
"rollback_until": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": {}
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docs_url": "<string>"
}
}Contacts
Bulk import contacts
Import up to 10,000 contacts in a single request. Each contact must have at least a phone (E.164-ish) or email. Returns inserted/skipped counts plus an import_job_id that can be used to download the skipped-rows CSV (GET /import-jobs/{id}/skipped.csv) and to roll back within 24 hours.
POST
/
api
/
v1
/
contacts
/
bulk
Bulk import contacts
Authorizations
BearerApiKey
Dashboard JWT token from Clerk
Body
application/json
⌘I